Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List companies

List companies with aggregated statistics across all associated persons

GET/companies
Authorization
AuthorizationBearer token · headerrequired

Organization API key (modem_…).

Query parameters
pageinteger
default: 1
limitinteger
max 100 · default: 50
searchstring
min length 1
sortBystring
default: "lastSeen"
Allowed:lastSeenmessageCountpersonCount
sortOrderstring
default: "desc"
Allowed:ascdesc
Responses
200

OK

dataobject[]required
Show properties
Array of object
idstringrequired
matches ^\d+$
isOrgCompanybooleanrequired
isVipbooleanrequired
lastSeenAtstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
logoUrlstring<uri> | nullrequired

Company logo image URL.

Show properties
Any of:
string<uri>
string<uri>
null
null
messageCountintegerrequired
namestringrequired

Company name.

personCountintegerrequired
primaryDomainstring | nullrequired
Show properties
Any of:
string
string
null
null
limitintegerrequired

The page size used for this response.

pageintegerrequired

The 1-based page number returned.

totalCountintegerrequired

Total number of items matching the query, across all pages.

min 0
400

Invalid request (validation failed).

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

401

Missing or invalid API key.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

403

The API key does not have access to this resource.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

404

The requested resource was not found.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

429

Rate limit exceeded.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

500

Internal server error.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.modem.dev/v1/companies' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "isOrgCompany": true,
      "isVip": true,
      "lastSeenAt": "2019-08-24T14:15:22Z",
      "logoUrl": "http://example.com",
      "messageCount": 0,
      "name": "string",
      "personCount": 0,
      "primaryDomain": "string"
    }
  ],
  "limit": 1,
  "page": 1,
  "totalCount": 0
}

Was this page helpful?